aboutsummaryrefslogtreecommitdiffstats
path: root/bin/run_with_dmenu.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/run_with_dmenu.sh')
-rwxr-xr-xbin/run_with_dmenu.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/bin/run_with_dmenu.sh b/bin/run_with_dmenu.sh
new file mode 100755
index 0000000..c7bf9dd
--- /dev/null
+++ b/bin/run_with_dmenu.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env zsh
+
+# set -o pipefail
+source ~/scripts/zshrc_stripped.sh
+COMMAND=$(echo "" | dmenu -h 20 -p "Quick Term:")
+RESULT=$(eval "$COMMAND")
+echo $RESULT | dmenu -h 20 -p "Quick Term Out:" > /dev/null